let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { formatting = H.callHackage "formatting" "7.2.0"
      , polysemy = H.callHackage "polysemy" "1.9.1.0"
      , quiet = H.callHackage "quiet" "0.2"
      , recursion-schemes = H.callHackage "recursion-schemes" "5.2.2.4"
      , type-errors = H.callHackage "type-errors" "0.2.0.2"
      , unagi-chan = H.callHackage "unagi-chan" "0.4.1.4"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.7", packages = toMap packages }
      }
