{ pkgs, ... }:

final: prev: with pkgs.haskell.lib; {
  formatting = final.callPackage (./pkgs/formatting.nix) { };

  polysemy = final.callPackage (./pkgs/polysemy.nix) { };

  quiet = final.callPackage (./pkgs/quiet.nix) { };

  recursion-schemes = final.callPackage (./pkgs/recursion-schemes.nix) { };

  type-errors = final.callPackage (./pkgs/type-errors.nix) { };

  unagi-chan = final.callPackage (./pkgs/unagi-chan.nix) { };

}
